import { MongoClient } from 'mongodb';
import { DatabaseConfig } from '../common';
import { Database } from '.';
export interface DatabaseConnectorConfig {
    databaseConnectionUri?: string;
    databaseConfig?: DatabaseConfig;
}
export declare class DatabaseConnector {
    client: MongoClient;
    reconnectTimeoutInSeconds: number;
    static SLEEP_INTERVAL_MILLIS: number;
    currentDbName?: string;
    constructor(client: MongoClient, reconnectTimeoutInSeconds: number);
    connect({databaseConnectionUri, databaseConfig}: DatabaseConnectorConfig): Promise<Database>;
    connectWithUri(dbConnectionUri: string, dbName: string): Promise<Database>;
    close(): Promise<void>;
    getDbConnectionUri({protocol, host, port, name, username, password}: DatabaseConfig): string;
    getDbName(dbConnectionUri: string): string;
}
